package cn.ibizlab.core.sample.filter;

import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;

import lombok.*;
import lombok.extern.slf4j.Slf4j;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;

import org.springframework.util.ObjectUtils;
import org.springframework.util.StringUtils;


import cn.ibizlab.util.filter.QueryWrapperContext;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.ibizlab.core.sample.domain.IBIZStorage;
/**
 * 关系型数据实体[IBIZStorage] 查询条件对象
 */
@Slf4j
@Data
public class IBIZStorageSearchContext extends QueryWrapperContext<IBIZStorage> {

	private String n_ibizstoragename_like;//[存储名称]
	public void setN_ibizstoragename_like(String n_ibizstoragename_like) {
        this.n_ibizstoragename_like = n_ibizstoragename_like;
        if(!ObjectUtils.isEmpty(this.n_ibizstoragename_like)){
            this.getSearchCond().like("ibizstoragename", n_ibizstoragename_like);
        }
    }

    /**
	 * 启用快速搜索
	 */
	public void setQuery(String query)
	{
		 this.query=query;
		 if(!StringUtils.isEmpty(query)){
            this.getSearchCond().and( wrapper ->
                     wrapper.like("ibizstoragename", query)   
            );
		 }
	}
}



